org.eclipse.cdt.core.templateengine

## Class TemplateEngine2

- java.lang.Object
- - org.eclipse.cdt.core.templateengine.TemplateEngine
  - - org.eclipse.cdt.core.templateengine.TemplateEngine2

    public class TemplateEngine2
    extends TemplateEngine

Since:
  5.4

### Field Summary

Fields
`static String` `NEW_TEMPLATE` Project type for new templates.

### Fields inherited from class org.eclipse.cdt.core.templateengine.TemplateEngine

`TEMPLATE_ASSOCIATIONS_EXTENSION_ID, TEMPLATES_EXTENSION_ID`

### Constructor Summary

Constructors
Constructor and Description
`TemplateEngine2()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`TemplateCategory` `getCategory(String id)`
`static TemplateEngine2` `getDefault()`

### Methods inherited from class org.eclipse.cdt.core.templateengine.TemplateEngine

`getChildrenOfElement, getChildrenOfElementByTag, getFirstTemplate, getFirstTemplate, getSharedDefaults, getTemplateById, getTemplateInfoMap, getTemplateInfos, getTemplateInfos, getTemplateInfos, getTemplateInfos, getTemplates, getTemplates, getTemplates, getTemplates, getTemplateSchemaURL, updateSharedDefaults`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NEW_TEMPLATE

    public static final String NEW_TEMPLATE

Project type for new templates. Default if not set in extension.

See Also:
  Constant Field Values

### Constructor Detail

#### TemplateEngine2

    public TemplateEngine2()

### Method Detail

#### getDefault

    public static TemplateEngine2 getDefault()

#### getCategory

    public TemplateCategory getCategory(String id)